/*
 * Species.cpp
 *
 *  Created on: Aug 7, 2011
 *      Author: janez
 */

#include "Species.h"

#include <iostream>
#include <sstream>

using namespace std;


Species::Species() {
	init();
}

Species::~Species() {

}

/**
 * Dump species data.
 */
void Species::dump(int level, int index) {
	string offset = "";

	for( int i=0 ; i < level ; i++ ) {
		offset += "  ";
	}

	cout << endl << offset << "Species: " << name << " (" << index << "), ";
	cout << "m=" << (m/p2c) << " kg (super m=" << m << " kg), ";
	cout << "q=" << (q/p2c) << " C (super q=" << q << " C), ";
	cout << "p2c=" << p2c << endl;
}

/**
 * Dump species data.
 */
string Species::dump2string() {
	stringstream str;

	str << endl << "Species: " << name << ", ";
	str << "m=" << (m/p2c) << " kg (super m=" << m << " kg), ";
	str << "q=" << (q/p2c) << " C (super q=" << q << " C), ";
	str << "p2c=" << p2c << endl;
	return str.str();
}
