/*
 * Tools.h
 *
 *  Created on: Jun 24, 2012
 *      Author: janez
 */

#ifndef TOOLS_H_
#define TOOLS_H_

#include <stdlib.h>
#include <stdio.h>
#include <math.h>

#include <string>

class Tools {
private:
	int type;

	void createVDF( std::string file, int coord, double in_x, double in_dx, int n_cells, double in_v_min, double in_v_max, int in_species );

	double string2double(char* str);
	void getMinMaxValues( FILE *fp, int coord_x, int coord_v, double *x1, double *x2, double *v1, double *v2 );



public:
	static const int TOOLS_NOT_DEFINED = 0;
	static const int TOOLS_VDF = 1001;
	Tools();
	Tools( int inType ) { this->type = inType; };
	virtual ~Tools();

	inline void setType( int inType ) { this->type = inType; };

	void run(int argc, char** argv );

};

#endif /* TOOLS_H_ */
